commit c11a2278e218c7109b9d238ce63409f403bd5e5a
Author: Katja Luther <k.luther@bgbm.org>
Date:   Tue Nov 27 13:41:32 2018 +0100

    fix delete of not persisted data in bulk editor

diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/BulkEditorE4.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/BulkEditorE4.java
index 0e4ecd9bc..28eaa779b 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/BulkEditorE4.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/BulkEditorE4.java
@@ -126,6 +126,25 @@ public class BulkEditorE4 implements IPartContentHasDetails, IConversationEnable
         }
     }
 
+    public void save(IProgressMonitor monitor, boolean resetMerge, boolean rememberSelection) {
+        if (!input.getCdmEntitySession().isActive()){
+            input.getCdmEntitySession().bind();
+        }
+        input.saveModel(resetMerge);
+
+        IStructuredSelection selection = getSelection();
+
+        dirty.setDirty(false);
+        input.dispose();
+        input.bind();
+        conversation.commit(true);
+
+        if (lastQuery != null && rememberSelection){
+            bulkEditorComposite.performSearch(lastQuery, selection);
+        }
+    }
+
+
 	@Focus
 	public void setFocus() {
         //make sure to bind again if maybe in another view the conversation was unbound
@@ -189,6 +208,7 @@ public class BulkEditorE4 implements IPartContentHasDetails, IConversationEnable
         setDirty(true);
     }
 
+    @Override
     public boolean isDirty() {
         return dirty.isDirty();
     }
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/handler/DeleteHandlerE4.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/handler/DeleteHandlerE4.java
index 2b1320650..bc8b4c8d4 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/handler/DeleteHandlerE4.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/e4/handler/DeleteHandlerE4.java
@@ -11,8 +11,10 @@ package eu.etaxonomy.taxeditor.bulkeditor.e4.handler;
 
 
 import java.util.ArrayList;
+import java.util.HashSet;
 import java.util.Iterator;
 import java.util.List;
+import java.util.Set;
 
 import javax.inject.Named;
 
@@ -93,6 +95,27 @@ public class DeleteHandlerE4 {
         BulkEditorE4 editor= (BulkEditorE4) activePart.getObject();
         IStructuredSelection selection = editor.getSelection();
 
+        Iterator iterator = selection.iterator();
+        int selectionCount = selection.size();
+        Set<CdmBase> removeFromSelection = new HashSet();
+        for(selection.iterator();iterator.hasNext();){
+            CdmBase cdmBase = (CdmBase) iterator.next();
+            if (!cdmBase.isPersited()){
+                editor.getEditorInput().getModel().remove(cdmBase);
+                editor.getEditorInput().getSaveCandidates().remove(cdmBase);
+                removeFromSelection.add(cdmBase);
+                selectionCount--;
+            }
+        }
+
+
+        if (selectionCount == 0){
+            if (editor.getEditorInput().getMergeCandidates().size() == 0 && editor.getEditorInput().getSaveCandidates().size() == 0 && editor.getEditorInput().getToDelete().size() == 0){
+                editor.setDirty(false);
+            }
+            return;
+        }
+
         if (editor.isDirty()){
             boolean proceed = MessageDialog.openQuestion(null,
                     "Save changes", "You have made changes that must be saved before this query can be executed. Would you like to proceed?");
@@ -103,10 +126,12 @@ public class DeleteHandlerE4 {
             }
         }
 
-        Iterator iterator = selection.iterator();
+        iterator = selection.iterator();
         for(selection.iterator();iterator.hasNext();){
             CdmBase cdmBase = (CdmBase) iterator.next();
-            delete(cdmBase, shell, editor);
+            if (cdmBase.isPersited()){
+                delete(cdmBase, shell, editor);
+            }
         }
     }
 
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java
index 03f386d08..4c8f05651 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/AbstractBulkEditorInput.java
@@ -68,7 +68,11 @@ public abstract class AbstractBulkEditorInput<T extends CdmBase> extends CdmEnti
 	private BasicEventList<T> model = new BasicEventList<>();
 
 	private Map<T, DeleteConfiguratorBase> toDelete = new HashMap<>();
-	private Set<T> saveCandidates = new HashSet<>();
+	public Map<T, DeleteConfiguratorBase> getToDelete() {
+        return toDelete;
+    }
+
+    private Set<T> saveCandidates = new HashSet<>();
 
 
 	private Set<T> markedMergeCandidates = new HashSet<>();
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/GroupCreator.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/GroupCreator.java
index d8fd6259a..222773a07 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/GroupCreator.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/input/entitycreator/GroupCreator.java
@@ -12,7 +12,6 @@ package eu.etaxonomy.taxeditor.bulkeditor.input.entitycreator;
 import java.util.HashMap;
 import java.util.List;
 import java.util.Map;
-import java.util.UUID;
 
 import eu.etaxonomy.cdm.api.service.IGroupService;
 import eu.etaxonomy.cdm.model.common.Group;
@@ -49,8 +48,8 @@ public class GroupCreator implements IEntityCreator<Group> {
 
         if (groupList.isEmpty()){
             Group group = Group.NewInstance(text);
-            UUID groupUuid = CdmStore.getService(IGroupService.class).saveGroup(group);
-            group = CdmStore.getService(IGroupService.class).loadWithUpdate(groupUuid);
+//            UUID groupUuid = CdmStore.getService(IGroupService.class).saveGroup(group);
+//            group = CdmStore.getService(IGroupService.class).loadWithUpdate(groupUuid);
             return group;
         } else{
             MessagingUtils.messageDialog(Messages.GROUP_CREATOR_group_exists_title, text, Messages.GROUP_CREATOR_group_exists);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/AbcdImportProvider.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/AbcdImportProvider.java
index 996ee8017..86159c659 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/AbcdImportProvider.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/AbcdImportProvider.java
@@ -17,8 +17,8 @@ import org.eclipse.swt.widgets.Control;
 import eu.etaxonomy.cdm.api.application.ICdmRepository;
 import eu.etaxonomy.cdm.api.service.IPreferenceService;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference;
-import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.taxeditor.l10n.Messages;
+import eu.etaxonomy.taxeditor.preference.EditorPreferencePredicate;
 import eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage;
 import eu.etaxonomy.taxeditor.store.CdmStore;
 
@@ -55,7 +55,7 @@ public class AbcdImportProvider extends CdmPreferencePage implements IE4AdminPre
         if (biocaseProviderList != null){
             providerList = biocaseProviderList.createAllProviderString();
 
-            CdmPreference pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.BioCaseProvider, providerList);
+            CdmPreference pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.BioCaseProvider, providerList);
             pref.setAllowOverride(true);
 
             ICdmRepository controller = CdmStore.getCurrentApplicationConfiguration();
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/GeneralAdminPreferencePage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/GeneralAdminPreferencePage.java
index fdfa74c71..0bc965b3b 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/GeneralAdminPreferencePage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/GeneralAdminPreferencePage.java
@@ -12,7 +12,6 @@ import eu.etaxonomy.cdm.api.application.ICdmRepository;
 import eu.etaxonomy.cdm.api.service.IPreferenceService;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference.PrefKey;
-import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.cdm.model.metadata.PreferenceSubject;
 import eu.etaxonomy.taxeditor.preference.EditorPreferencePredicate;
 import eu.etaxonomy.taxeditor.preference.GeneralPreferencePage;
@@ -40,16 +39,16 @@ public class GeneralAdminPreferencePage extends GeneralPreferencePage implements
        if (controller != null){
            IPreferenceService service = controller.getPreferenceService();
 
-           CdmPreference pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.ShowImportExportMenu, Boolean.toString(this.isShowIOMenu));
+           CdmPreference pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.ShowImportExportMenu, Boolean.toString(this.isShowIOMenu));
            pref.setAllowOverride(isAllowOverrideShowIOMenu);
            service.set(pref);
 //           pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.ShowMediaView, Boolean.toString(this.isShowMediaView));
 //           pref.setAllowOverride(isAllowOverrideShowMediaView);
 //           service.set(pref);
-           pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.ShowChecklistPerspective, Boolean.toString(this.isShowCheckListPerspective));
+           pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.ShowChecklistPerspective, Boolean.toString(this.isShowCheckListPerspective));
            pref.setAllowOverride(isAllowOverrideShowCheckListPerspective);
            service.set(pref);
-           pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.ShowTaxonNodeWizard, Boolean.toString(this.isShowTaxonNodeWizard));
+           pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.ShowTaxonNodeWizard, Boolean.toString(this.isShowTaxonNodeWizard));
            pref.setAllowOverride(isAllowOverrideShowTaxonNodeWizard);
            service.set(pref);
            PreferencesUtil.updateDBPreferences();
@@ -65,7 +64,7 @@ public class GeneralAdminPreferencePage extends GeneralPreferencePage implements
         controller = CdmStore.getCurrentApplicationConfiguration();
         if (controller != null){
           IPreferenceService service = controller.getPreferenceService();
-          PrefKey key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowImportExportMenu);
+          PrefKey key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowImportExportMenu);
           CdmPreference pref = service.find(key);
           if (pref != null){
               isShowIOMenu = Boolean.valueOf(pref.getValue());
@@ -85,7 +84,7 @@ public class GeneralAdminPreferencePage extends GeneralPreferencePage implements
 //              isAllowOverrideShowMediaView = true;
 //          }
 
-          key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowChecklistPerspective);
+          key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowChecklistPerspective);
           pref = service.find(key);
           if (pref != null){
               isShowCheckListPerspective = Boolean.valueOf(pref.getValue());
@@ -95,7 +94,7 @@ public class GeneralAdminPreferencePage extends GeneralPreferencePage implements
               isAllowOverrideShowCheckListPerspective = true;
           }
 
-          key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowTaxonNodeWizard);
+          key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowTaxonNodeWizard);
           pref = service.find(key);
           if (pref != null){
               isShowTaxonNodeWizard = Boolean.valueOf(pref.getValue());
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ListComponent.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ListComponent.java
index 20dd48bb1..b07900fc9 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ListComponent.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/ListComponent.java
@@ -25,8 +25,8 @@ import org.eclipse.swt.widgets.List;
 import org.eclipse.swt.widgets.Text;
 
 import eu.etaxonomy.cdm.model.metadata.CdmPreference;
-import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.taxeditor.l10n.Messages;
+import eu.etaxonomy.taxeditor.preference.EditorPreferencePredicate;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 
 
@@ -55,7 +55,7 @@ public class ListComponent
         Rectangle clientArea = parent.getShell().getClientArea ();
         list.setBounds (clientArea.x, clientArea.y, 100, 500);
 
-        CdmPreference providerListPreference = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.BioCaseProvider);
+        CdmPreference providerListPreference = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.BioCaseProvider);
         String allProviderString = ""; //$NON-NLS-1$
         if (providerListPreference != null){
             allProviderString  = providerListPreference.getValue();
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/NameDetailsViewAdminConfiguration.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/NameDetailsViewAdminConfiguration.java
index faa26c5e8..a58abca40 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/NameDetailsViewAdminConfiguration.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/NameDetailsViewAdminConfiguration.java
@@ -5,7 +5,6 @@ import eu.etaxonomy.cdm.api.application.ICdmRepository;
 import eu.etaxonomy.cdm.api.service.IPreferenceService;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference.PrefKey;
-import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.cdm.model.metadata.PreferenceSubject;
 import eu.etaxonomy.taxeditor.preference.CdmPreferenceCache;
 import eu.etaxonomy.taxeditor.preference.EditorPreferencePredicate;
@@ -58,7 +57,7 @@ public class NameDetailsViewAdminConfiguration extends NameDetailsViewConfigurat
         String value = config.toString();
 
 
-        CdmPreference pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.NameDetailsView, value);
+        CdmPreference pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.NameDetailsView, value);
         pref.setAllowOverride(isAllowOverride);
         service.set(pref);
         PreferencesUtil.saveConfigToPrefernceStore(config);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/SpecimenAdminPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/SpecimenAdminPreferences.java
index f4b07943b..315f79e59 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/SpecimenAdminPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/preferencePage/SpecimenAdminPreferences.java
@@ -14,8 +14,8 @@ import eu.etaxonomy.cdm.api.application.ICdmRepository;
 import eu.etaxonomy.cdm.api.service.IPreferenceService;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference;
 import eu.etaxonomy.cdm.model.metadata.CdmPreference.PrefKey;
-import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.cdm.model.metadata.PreferenceSubject;
+import eu.etaxonomy.taxeditor.preference.EditorPreferencePredicate;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 import eu.etaxonomy.taxeditor.preference.SpecimenOrObservationPreferences;
 import eu.etaxonomy.taxeditor.store.CdmStore;
@@ -146,38 +146,38 @@ public class SpecimenAdminPreferences extends SpecimenOrObservationPreferences i
         ICdmRepository controller = CdmStore.getCurrentApplicationConfiguration();
         if (controller != null){
             IPreferenceService service = controller.getPreferenceService();
-            PrefKey key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowSpecimen);
+            PrefKey key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowSpecimen);
             showSpecimenPref = service.find(key);
             if (showSpecimenPref != null){
                 this.isShowSpecimenRelatedIssues = Boolean.valueOf(showSpecimenPref.getValue());
                 this.allowOverrideShowSpecimenRelatedIssues = showSpecimenPref.isAllowOverride();
             }else{
-                showSpecimenPref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.ShowSpecimen, Boolean.toString(true));
+                showSpecimenPref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.ShowSpecimen, Boolean.toString(true));
                 this.isShowSpecimenRelatedIssues = true;
                 this.allowOverrideShowSpecimenRelatedIssues = true;
             }
 
-            key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowCollectingAreasInGeneralSection);
+            key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowCollectingAreasInGeneralSection);
             CdmPreference isShowCollectingAreaInGeneralSectionPref = service.find(key);
             if (isShowCollectingAreaInGeneralSectionPref != null){
                 this.isShowCollectingAreaInGeneralSection = Boolean.valueOf(isShowCollectingAreaInGeneralSectionPref.getValue());
                 this.allowOverrideShowCollectingAreaInGeneralSection = isShowCollectingAreaInGeneralSectionPref.isAllowOverride();
             }
 
-            key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.DeterminationOnlyForFieldUnits);
+            key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.DeterminationOnlyForFieldUnits);
             CdmPreference isDeterminationOnlyForFieldUnitsPref = service.find(key);
             if (isDeterminationOnlyForFieldUnitsPref != null){
                 this.isDeterminationOnlyForFieldUnits = Boolean.valueOf(isDeterminationOnlyForFieldUnitsPref.getValue());
                 this.allowOverrideDeterminationOnlyForFieldUnits = isDeterminationOnlyForFieldUnitsPref.isAllowOverride();
             }
-            key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowTaxonAssociations);
+            key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowTaxonAssociations);
             CdmPreference isShowTaxonAssociationPref = service.find(key);
             if (isShowTaxonAssociationPref != null){
                 this.isShowTaxonAssociation = Boolean.valueOf(isShowTaxonAssociationPref.getValue());
                 this.allowOverrideShowTaxonAssociation = isShowTaxonAssociationPref.isAllowOverride();
             }
 
-            key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowLifeForm);
+            key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowLifeForm);
             CdmPreference isShowLifeFormPref = service.find(key);
             if (isShowLifeFormPref != null){
                 this.isShowLifeForm = Boolean.valueOf(isShowLifeFormPref.getValue());
@@ -196,22 +196,22 @@ public class SpecimenAdminPreferences extends SpecimenOrObservationPreferences i
         if (controller != null){
             IPreferenceService service = controller.getPreferenceService();
 
-            CdmPreference pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.ShowCollectingAreasInGeneralSection, Boolean.toString(this.isShowCollectingAreaInGeneralSection));
+            CdmPreference pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.ShowCollectingAreasInGeneralSection, Boolean.toString(this.isShowCollectingAreaInGeneralSection));
             pref.setAllowOverride(allowOverrideShowCollectingAreaInGeneralSection);
             service.set(pref);
-            pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.ShowSpecimen, Boolean.toString(this.isShowSpecimenRelatedIssues));
+            pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.ShowSpecimen, Boolean.toString(this.isShowSpecimenRelatedIssues));
             pref.setAllowOverride(allowOverrideShowSpecimenRelatedIssues);
             service.set(pref);
 
-            pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.DeterminationOnlyForFieldUnits, Boolean.toString(this.isDeterminationOnlyForFieldUnits));
+            pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.DeterminationOnlyForFieldUnits, Boolean.toString(this.isDeterminationOnlyForFieldUnits));
             pref.setAllowOverride(allowOverrideDeterminationOnlyForFieldUnits);
             service.set(pref);
 
-            pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.ShowTaxonAssociations, Boolean.toString(this.isShowTaxonAssociation));
+            pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.ShowTaxonAssociations, Boolean.toString(this.isShowTaxonAssociation));
             pref.setAllowOverride(allowOverrideShowTaxonAssociation);
             service.set(pref);
 
-            pref = CdmPreference.NewTaxEditorInstance(PreferencePredicate.ShowLifeForm, Boolean.toString(this.isShowLifeForm));
+            pref = CdmPreference.NewTaxEditorInstance(EditorPreferencePredicate.ShowLifeForm, Boolean.toString(this.isShowLifeForm));
             pref.setAllowOverride(allowOverrideShowLifeForm);
             service.set(pref);
             PreferencesUtil.updateDBPreferences();
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesPage__.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesPage__.java
deleted file mode 100755
index b9375c009..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesPage__.java
+++ /dev/null
@@ -1,429 +0,0 @@
-/**
-* Copyright (C) 2016 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-package eu.etaxonomy.taxeditor.databaseAdmin.wizard;
-
-import java.util.List;
-
-import org.eclipse.jface.preference.IPreferenceStore;
-import org.eclipse.jface.wizard.IWizard;
-import org.eclipse.jface.wizard.IWizardPage;
-import org.eclipse.swt.SWT;
-import org.eclipse.swt.events.SelectionAdapter;
-import org.eclipse.swt.events.SelectionEvent;
-import org.eclipse.swt.layout.GridData;
-import org.eclipse.swt.layout.GridLayout;
-import org.eclipse.swt.widgets.Button;
-import org.eclipse.swt.widgets.Combo;
-import org.eclipse.swt.widgets.Composite;
-import org.eclipse.swt.widgets.Label;
-
-import eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportConfigurator;
-import eu.etaxonomy.cdm.model.metadata.CdmPreference;
-import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
-import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
-import eu.etaxonomy.taxeditor.databaseAdmin.preferencePage.ListComponent;
-import eu.etaxonomy.taxeditor.l10n.Messages;
-import eu.etaxonomy.taxeditor.model.NomenclaturalCodeHelper;
-import eu.etaxonomy.taxeditor.preference.IPreferenceKeys;
-import eu.etaxonomy.taxeditor.preference.NameDetailsConfigurator;
-import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
-
-/**
- * @author k.luther
- * @date 01.11.2016
- *
- */
-public class DatabasePreferencesPage__ extends AbstractPreferenceWizard implements IWizardPage{
-
-    CdmPreference preferedNomenclaturalCode;
-    NameDetailsConfigurator config ;
-    CdmPreference isRedListPreference;
-    CdmPreference determinationOnlyForFieldUnitsPreference;
-    CdmPreference showCollectingAreaInGeneralSectionPreference;
-    CdmPreference showTaxonAssociationsPreference;
-    CdmPreference setPublishFlagAsDefault;
-
-    boolean isSimpleDetailsViewActivated;
-
-    Composite child ;
-    NameDetailsViewComposite nameDetailsConfig;
-    protected NameDetailsViewComposite getNameDetailsConfig() {
-        return nameDetailsConfig;
-    }
-
-    String selectedPreferenceKey = null;
-
-    ListComponent biocaseProviderList;
-    Abcd206ImportConfigurator abcdImportConfigurator;
-
-    String[][] labelAndValues;
-
-    /*
-     *
-     */
-    public DatabasePreferencesPage__(String pageName) {
-        super(pageName);
-        this.preferedNomenclaturalCode = PreferencesUtil.setPreferredNomenclaturalCode(null, false);
-        this.config = PreferencesUtil.getPreferredNameDetailsConfiguration( false);
-        if (config == null){
-            config = new NameDetailsConfigurator(false);
-        }
-
-
-    }
-
-
-    protected IPreferenceStore doGetPreferenceStore() {
-        return PreferencesUtil.getPreferenceStore();
-    }
-
-    /**
-     * @return
-     */
-    private String[][] getLabelAndValues() {
-        List<NomenclaturalCode> supportedCodes = NomenclaturalCodeHelper
-                .getSupportedCodes();
-        labelAndValues = new String[supportedCodes.size()][2];
-        for (int i = 0; i < supportedCodes.size(); i++) {
-            labelAndValues[i][0] = NomenclaturalCodeHelper
-                    .getDescription(supportedCodes.get(i));
-            labelAndValues[i][1] = PreferencesUtil
-                    .getPreferenceKey(supportedCodes.get(i));
-        }
-        return labelAndValues;
-    }
-
-
-
-
-    public void createNomenclaturalCodeTab(Composite parent){
-
-        Combo nomenclaturalCodeCombo;
-        Label nomenclaturalCodeLabel;
-
-        composite = addTab(Messages.DatabasePreferencesPage_Define_Default_NomenclaturalCode);
-        nomenclaturalCodeCombo = new Combo(composite, SWT.DROP_DOWN);
-
-        List<NomenclaturalCode> supportedCodes = NomenclaturalCodeHelper
-              .getSupportedCodes();
-        for (NomenclaturalCode code: supportedCodes) {
-           nomenclaturalCodeCombo.add(NomenclaturalCodeHelper
-                   .getDescription(code));
-
-       }
-       nomenclaturalCodeCombo.select(0);
-       getLabelAndValues();
-       //get the actual nomenclatural code and set it as selection: doGetPreferenceStore().getString(IPreferenceKeys.CDM_NOMENCLATURAL_CODE_KEY);
-       nomenclaturalCodeCombo.addSelectionListener(new SelectionAdapter() {
-           @Override
-        public void widgetSelected(SelectionEvent evt) {
-
-               String name = nomenclaturalCodeCombo.getText();
-
-               for (String[] labelAndValue: labelAndValues){
-                   if (labelAndValue[0].equals(name)){
-                       selectedPreferenceKey = labelAndValue[1];
-                   }
-               }
-
-
-               PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.PREFERRED_NOMENCLATURAL_CODE_KEY, selectedPreferenceKey);
-
-           }
-       });
-       nomenclaturalCodeLabel = new Label(composite, SWT.READ_ONLY);
-
-
-//        final Button useLocalPreference = new Button(composite, SWT.CHECK);
-//        boolean isUseLocalPreference = PreferencesUtil.getPreferenceStore().getBoolean(IPreferenceKeys.ALLOW_OVERRIDE_NOMENCLATURAL_CODE_KEY);
-//        useLocalPreference.setText(Messages.DatabasePreferencesPage_UseLocalPreferences);
-//        useLocalPreference.setSelection(isUseLocalPreference);
-//        useLocalPreference.addSelectionListener(new SelectionAdapter(){
-//             @Override
-//             public void widgetSelected(SelectionEvent e) {
-//                 boolean isUseLocalPreference = useLocalPreference.getSelection();
-//                 PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ALLOW_OVERRIDE_NOMENCLATURAL_CODE_KEY, isUseLocalPreference);
-//              }
-//         });
-
-
-
-
-    }
-    public void createSetPublishFlagTab(Composite parent){
-        composite = addTab(Messages.DatabasePreferencesPage_SetPublishFlag);
-        GridLayout gridLayout = new GridLayout();
-        gridLayout.numColumns = 2;
-        composite.setLayout(gridLayout);
-        //radio buttons for set publish as default, set not publish as default and inherit from parent
-
-    }
-
-
-    public void createBiocaseProviderTab(Composite parent){
-        composite = addTab(Messages.DatabasePreferencesPage_Biocase_Provider);
-        GridLayout gridLayout = new GridLayout();
-        gridLayout.numColumns = 2;
-        composite.setLayout(gridLayout);
-        biocaseProviderList = new ListComponent(composite, SWT.SCROLL_LINE);
-
-    }
-
-    public ListComponent getBiocaseProviderList() {
-        return biocaseProviderList;
-    }
-
-    public void createNameDetailsViewConfigurationTab(Composite parent, NameDetailsConfigurator config){
-    	composite = parent;
-        composite = addTab(Messages.DatabasePreferencesPage_details_view_configuration);
-        GridLayout gridLayout = new GridLayout();
-        gridLayout.numColumns = 1;
-
-        composite.setLayout(gridLayout);
-        nameDetailsConfig = new NameDetailsViewComposite(composite, SWT.SCROLL_LINE, config);
-
-
-    }
-
-
-    public void createSpecimenOrObservationTab(Composite parent){
-       composite = addTab(Messages.DatabasePreferencesPage_Specimen_Or_Observation);
-
-        final Button showCollectingAreaInGeneralSectionButton = new Button(composite, SWT.CHECK);
-        CdmPreference isShowCollectingAreaInGeneralSection = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.ShowCollectingAreasInGeneralSection);
-        if (isShowCollectingAreaInGeneralSection == null){
-            isShowCollectingAreaInGeneralSection = CdmPreference.NewDatabaseInstance(PreferencePredicate.ShowCollectingAreasInGeneralSection, Boolean.toString(false));
-        }
-        showCollectingAreaInGeneralSectionButton.setText(Messages.DatabasePreferncesPage_Show_Collecting_Areas_in_general_section);
-
-        showCollectingAreaInGeneralSectionButton.setSelection(Boolean.valueOf(isShowCollectingAreaInGeneralSection.getValue()));
-        showCollectingAreaInGeneralSectionButton.addSelectionListener(new SelectionAdapter(){
-             @Override
-             public void widgetSelected(SelectionEvent e) {
-                 boolean isShowCollectingAreaInGeneralSection = showCollectingAreaInGeneralSectionButton.getSelection();
-                 PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.SHOW_COLLECTING_AREAS_IN_GENERAL_SECTION, isShowCollectingAreaInGeneralSection);
-              }
-         });
-
-        final Button determinationOnlyForFieldUnitsButton = new Button(composite, SWT.CHECK);
-//        boolean isDeterminationOnlyForFieldUnits = PreferencesUtil.getPreferenceStore().getBoolean(IPreferenceKeys.DETERMINATION_ONLY_FOR_FIELD_UNITS);
-        CdmPreference isDeterminationOnlyForFieldUnits = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.DeterminationOnlyForFieldUnits);
-        if (isDeterminationOnlyForFieldUnits == null){
-            isDeterminationOnlyForFieldUnits = CdmPreference.NewDatabaseInstance(PreferencePredicate.DeterminationOnlyForFieldUnits, Boolean.toString(false));
-        }
-        determinationOnlyForFieldUnitsButton.setText(Messages.DatabasePreferncesPage_Determination_only_for_field_unnits);
-
-        determinationOnlyForFieldUnitsButton.setSelection(Boolean.valueOf(isDeterminationOnlyForFieldUnits.getValue()));
-        determinationOnlyForFieldUnitsButton.addSelectionListener(new SelectionAdapter(){
-             @Override
-             public void widgetSelected(SelectionEvent e) {
-                 boolean isDeterminationOnlyForFieldUnits = determinationOnlyForFieldUnitsButton.getSelection();
-                 PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.DETERMINATION_ONLY_FOR_FIELD_UNITS, isDeterminationOnlyForFieldUnits);
-              }
-         });
-
-        final Button showTaxonAssociationButton = new Button(composite, SWT.CHECK);
-        CdmPreference isShowTaxonAssociation = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.ShowTaxonAssociations);
-        if (isShowTaxonAssociation == null){
-            isShowTaxonAssociation = CdmPreference.NewDatabaseInstance(PreferencePredicate.ShowTaxonAssociations, Boolean.toString(false));
-        }
-        showTaxonAssociationButton.setText(Messages.DatabasePreferncesPage_Taxon_Associations);
-
-        showTaxonAssociationButton.setSelection(Boolean.valueOf(isShowTaxonAssociation.getValue()));
-        showTaxonAssociationButton.addSelectionListener(new SelectionAdapter(){
-             @Override
-             public void widgetSelected(SelectionEvent e) {
-                 boolean isShowTaxonAssociation = showTaxonAssociationButton.getSelection();
-                 PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.SHOW_TAXON_ASSOCIATIONS, isShowTaxonAssociation);
-              }
-         });
-
-        final Button showLifeFormButton = new Button(composite, SWT.CHECK);
-        CdmPreference  isShowLifeForm = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.ShowLifeForm);
-        if (isShowLifeForm == null){
-            isShowLifeForm = CdmPreference.NewDatabaseInstance(PreferencePredicate.ShowLifeForm, Boolean.toString(false));
-        }
-
-        showLifeFormButton.setText(Messages.DatabasePreferncesPage_Life_Form);
-        showLifeFormButton.setSelection(Boolean.valueOf(isShowLifeForm.getValue()));
-        showLifeFormButton.addSelectionListener(new SelectionAdapter(){
-             @Override
-             public void widgetSelected(SelectionEvent e) {
-                 boolean isShowLifeForm = showLifeFormButton.getSelection();
-                 PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.SHOW_LIFE_FORM, isShowLifeForm);
-              }
-         });
-
-//        Composite useLocalComp = new Composite(composite, SWT.NONE);
-
-
-        final Button useLocalPreference = new Button(composite, SWT.CHECK);
-        boolean isUseLocalPreference = isShowTaxonAssociation.isAllowOverride();
-        useLocalPreference.setText(Messages.DatabasePreferencesPage_UseLocalPreferences);
-        GridData gridData = new GridData(SWT.FILL, SWT.BOTTOM, false, false);
-        gridData.verticalIndent = 10;
-        useLocalPreference.setLayoutData(gridData);
-
-        useLocalPreference.setSelection(isUseLocalPreference);
-        useLocalPreference.addSelectionListener(new SelectionAdapter(){
-             @Override
-             public void widgetSelected(SelectionEvent e) {
-                 boolean isUseLocalPreference = useLocalPreference.getSelection();
-               //  PreferencesUtil.getPreferenceStore().setValue(IPreferenceKeys.ALLOW_OVERRIDE_SPECIMEN_PREF, isUseLocalPreference);
-              }
-         });
-
-
-
- }
-
-/**
- * {@inheritDoc}
- */
-@Override
-public boolean canFlipToNextPage() {
-    // TODO Auto-generated method stub
-    return false;
-}
-
-
-
-/**
- * {@inheritDoc}
- */
-@Override
-public String getName() {
-    // TODO Auto-generated method stub
-    return null;
-}
-
-
-
-/**
- * {@inheritDoc}
- */
-@Override
-public IWizardPage getNextPage() {
-    // TODO Auto-generated method stub
-    return null;
-}
-
-
-
-/**
- * {@inheritDoc}
- */
-@Override
-public IWizardPage getPreviousPage() {
-    // TODO Auto-generated method stub
-    return null;
-}
-
-
-
-/**
- * {@inheritDoc}
- */
-@Override
-public IWizard getWizard() {
-    // TODO Auto-generated method stub
-    return null;
-}
-
-
-
-/**
- * {@inheritDoc}
- */
-@Override
-public boolean isPageComplete() {
-
-    return true;
-}
-
-
-
-/**
- * {@inheritDoc}
- */
-@Override
-public void setPreviousPage(IWizardPage page) {
-    // TODO Auto-generated method stub
-
-}
-
-
-
-/**
- * {@inheritDoc}
- */
-@Override
-public void setWizard(IWizard newWizard) {
-    // TODO Auto-generated method stub
-
-}
-
-/**
- * {@inheritDoc}
- */
-@Override
-public void createControl(Composite parent) {
-    createNameDetailsViewConfigurationTab(parent, config);
-    createNomenclaturalCodeTab(parent);
-
-    createSpecimenOrObservationTab(parent);
-    createBiocaseProviderTab(parent);
-    setControl(parent);
-}
-
-/**
- * @return
- */
-public NameDetailsConfigurator getConfig() {
-    return config;
-}
-
-/**
- *
- */
-public Abcd206ImportConfigurator getAbcdImportConfig() {
-    return abcdImportConfigurator;
-
-}
-
-/**
- * @return
- */
-public void createAbcdImportConfig() {
-    this.abcdImportConfigurator.setAddIndividualsAssociationsSuchAsSpecimenAndObservations(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_INDIVIDUALS_ASSOCIATIONS_SUCH_AS_SPECIMEN_AND_OBSERVATIONS));
-    this.abcdImportConfigurator.setAddMediaAsMediaSpecimen(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ADD_MEDIA_AS_MEDIASPECIMEN));
-    this.abcdImportConfigurator.setAllowReuseOtherClassifications(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_ALLOW_REUSE_OTHER_CLASSIFICATIONS));
-    //this.abcdImportConfigurator.setClassificationUuid(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_CLASSIFICATION_UUID));
-    this.abcdImportConfigurator.setDeduplicateClassifications(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_CLASSIFICATIONS));
-    this.abcdImportConfigurator.setDeduplicateReferences(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEDUPLICATE_REFERENCES));
-   // this.abcdImportConfigurator.setDefaultAuthor(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DEFAULT_AUTHOR));
-    this.abcdImportConfigurator.setGetSiblings(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_DO_SIBLINGS));
-    this.abcdImportConfigurator.setIgnoreAuthorship(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_AUTHORSHIP));
-    this.abcdImportConfigurator.setIgnoreImportOfExistingSpecimen(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_IGNORE_IMPORT_OF_EXISTING_SPECIMEN));
-    this.abcdImportConfigurator.setMapUnitIdToAccessionNumber(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_ACCESSION_NUMBER));
-    this.abcdImportConfigurator.setMapUnitIdToBarcode(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TO_BARCODE));
-    this.abcdImportConfigurator.setMapUnitIdToCatalogNumber(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MAP_UNIT_ID_TOCATALOG_NUMBER));
-    this.abcdImportConfigurator.setMoveNewTaxaToDefaultClassification(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_MOVE_NEW_TAXA_TO_DEFAULT_CLASSIFICATION));
-    this.abcdImportConfigurator.setReuseExistingDescriptiveGroups(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_DESCRIPTIVE_GROUPS));
-    this.abcdImportConfigurator.setReuseExistingTaxaWhenPossible(doGetPreferenceStore().getBoolean(IPreferenceKeys.ABCD_IMPORT_CONFIGURATOR_REUSE_EXISTING_TAXA_WHEN_POSSIBLE));
-
-}
-
-
-
-
-
-
-
-}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesWizard__.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesWizard__.java
deleted file mode 100644
index 448e7e737..000000000
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/databaseAdmin/wizard/DatabasePreferencesWizard__.java
+++ /dev/null
@@ -1,130 +0,0 @@
-/**
-* Copyright (C) 2016 EDIT
-* European Distributed Institute of Taxonomy
-* http://www.e-taxonomy.eu
-*
-* The contents of this file are subject to the Mozilla Public License Version 1.1
-* See LICENSE.TXT at the top of this package for the full license terms.
-*/
-package eu.etaxonomy.taxeditor.databaseAdmin.wizard;
-
-import org.eclipse.jface.wizard.IWizardPage;
-import org.eclipse.jface.wizard.Wizard;
-
-/**
- * @author k.luther
- * @date 18.11.2016
- *
- */
-public class DatabasePreferencesWizard__ extends Wizard {
-
-
-    public DatabasePreferencesPage__ preferencePage;
-
-
-
-    public DatabasePreferencesWizard__() {
-        setWindowTitle("Database Preferences Wizard");
-
-        preferencePage = new DatabasePreferencesPage__("Database Preferences");
-
-
-    }
-
-
-
-    /**
-     * @return the preferencePage
-     */
-    public DatabasePreferencesPage__ getPreferencePage() {
-        return preferencePage;
-    }
-    /**
-     * {@inheritDoc}
-     */
-    @Override
-    public boolean performFinish() {
-//
-////       getPreferencePage().performOk();
-//
-//        String value =PreferencesUtil.getStringValue(IPreferenceKeys.PREFERRED_NOMENCLATURAL_CODE_KEY);
-//
-//       // boolean allowOverride =  PreferencesUtil.getBooleanValue(IPreferenceKeys.ALLOW_OVERRIDE_NOMENCLATURAL_CODE_KEY);
-//        CdmPreference pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.NomenclaturalCode, value);
-////        pref.setAllowOverride(allowOverride);
-////
-////        ICdmRepository controller = CdmStore.getCurrentApplicationConfiguration();
-////        if (controller == null){
-////            return false;
-////        }
-////        IPreferenceService service = controller.getPreferenceService();
-////        service.set(pref);
-////        NameDetailsConfigurator config = getPreferencePage().getNameDetailsConfig().createNameDetailsViewConfig();
-////        value = config.toString();
-////        allowOverride = getPreferencePage().doGetPreferenceStore().getBoolean(IPreferenceKeys.ALLOW_OVERRIDE_NAME_DETAILS);
-////
-////        pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.NameDetailsView, value);
-////        pref.setAllowOverride(allowOverride);
-////        service.set(pref);
-////        if (!allowOverride || (allowOverride && !PreferencesUtil.getPreferenceStore().getBoolean(IPreferenceKeys.OVERRIDE_NAME_DETAILS))){
-////            PreferencesUtil.saveConfigToPrefernceStore(config);
-////        }
-////
-////
-////        boolean isDeterminationOnlyForFieldUnit= getPreferencePage().doGetPreferenceStore().getBoolean(IPreferenceKeys.DETERMINATION_ONLY_FOR_FIELD_UNITS );
-////        pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.DeterminationOnlyForFieldUnits, String.valueOf(isDeterminationOnlyForFieldUnit));
-////       // allowOverride = getPreferencePage().doGetPreferenceStore().getBoolean(IPreferenceKeys.ALLOW_OVERRIDE_SPECIMEN_PREF);
-////        pref.setAllowOverride(allowOverride);
-////        service.set(pref);
-////
-////        boolean isShowCollectingAreasInGeneralsecion= getPreferencePage().doGetPreferenceStore().getBoolean(IPreferenceKeys.SHOW_COLLECTING_AREAS_IN_GENERAL_SECTION );
-////        pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.ShowCollectingAreasInGeneralSection, String.valueOf(isShowCollectingAreasInGeneralsecion));
-////        pref.setAllowOverride(allowOverride);
-////        service.set(pref);
-////
-////        boolean isShowTaxonAssociations= getPreferencePage().doGetPreferenceStore().getBoolean(IPreferenceKeys.SHOW_TAXON_ASSOCIATIONS);
-////        pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.ShowTaxonAssociations, String.valueOf(isShowTaxonAssociations));
-////        pref.setAllowOverride(allowOverride);
-////        service.set(pref);
-////
-////        boolean isShowLifeForm= getPreferencePage().doGetPreferenceStore().getBoolean(IPreferenceKeys.SHOW_LIFE_FORM);
-////        pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.ShowLifeForm, String.valueOf(isShowLifeForm));
-////        pref.setAllowOverride(allowOverride);
-////        service.set(pref);
-////
-////        String biocaseProviderList = this.getPreferencePage().getBiocaseProviderList().createAllProviderString();
-////        if (biocaseProviderList == null){
-////            getPreferencePage().doGetPreferenceStore().setValue(IPreferenceKeys.BIOCASE_PROVIDER_LIST,"");
-////        }else{
-////            getPreferencePage().doGetPreferenceStore().setValue(IPreferenceKeys.BIOCASE_PROVIDER_LIST, biocaseProviderList);
-//
-//        }
-//        pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.BioCaseProvider, String.valueOf(biocaseProviderList));
-//        pref.setAllowOverride(false);
-//        service.set(pref);
-////        getPreferencePage().createAbcdImportConfig();
-////        value = getPreferencePage().getAbcdImportConfig().toString();
-////        allowOverride = getPreferencePage().doGetPreferenceStore().getBoolean(IPreferenceKeys.ALLOW_OVERRIDE_ABCD_IMPORT_CONFIG);
-////        pref = CdmPreference.NewDatabaseInstance( PreferencePredicate.AbcdImportConfig, value);
-////        pref.setAllowOverride(allowOverride);
-////        service.set(pref);
-
-        return true;
-    }
-
-
-
-    @Override
-    public void addPages() {
-        addPage(preferencePage);
-
-    }
-
-    @Override
-    public IWizardPage getNextPage(IWizardPage currentPage) {
-
-       return null;
-    }
-
-
-}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/CdmPreferenceCache.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/CdmPreferenceCache.java
index cff816e9b..83893d3fe 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/CdmPreferenceCache.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/CdmPreferenceCache.java
@@ -148,19 +148,19 @@ public class CdmPreferenceCache {
         loadAndPutPreference(controller, key);
 
         //sources
-        key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowIdInSource);
+        key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowIdInSource);
         loadAndPutPreference(controller, key);
 
-        key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowNamespaceInSource);
+        key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowNamespaceInSource);
         loadAndPutPreference(controller, key);
 
         //multiple classifications / taxon navigator
 
-        key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.DisableMultiClassification);
+        key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.DisableMultiClassification);
         loadAndPutPreference(controller, key);
 
 
-        key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.ShowTaxonNodeWizard);
+        key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.ShowTaxonNodeWizard);
         loadAndPutPreference(controller, key);
 
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NameDetailsViewConfiguration.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NameDetailsViewConfiguration.java
index 4c0b10140..33d73a538 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NameDetailsViewConfiguration.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NameDetailsViewConfiguration.java
@@ -13,7 +13,6 @@ import org.eclipse.swt.widgets.Control;
 import org.eclipse.swt.widgets.Label;
 
 import eu.etaxonomy.cdm.model.metadata.CdmPreference;
-import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.preference.menu.CdmPreferencePage;
 
@@ -358,7 +357,7 @@ public class NameDetailsViewConfiguration extends CdmPreferencePage {
 
     @Override
     public void init(){
-        CdmPreference nameDetailsPref = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.NameDetailsView);
+        CdmPreference nameDetailsPref = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.NameDetailsView);
         isAdminPreference = false;
         isAllowOverride = false;
         if (nameDetailsPref != null){
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PreferencesUtil.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PreferencesUtil.java
index dcb0bcea9..86c49ffc7 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PreferencesUtil.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PreferencesUtil.java
@@ -852,7 +852,7 @@ public class PreferencesUtil implements IPreferenceKeys {
 
 		getPreferenceStore().setDefault(createPreferenceString(SORT_TAXA_BY_RANK_AND_NAME), true);
 		//override db preferences
-		getPreferenceStore().setDefault(createPreferenceString(prefOverrideKey(PreferencePredicate.AbcdImportConfig.getKey())), false);
+		getPreferenceStore().setDefault(createPreferenceString(prefOverrideKey(EditorPreferencePredicate.AbcdImportConfig.getKey())), false);
 		getPreferenceStore().setDefault(createPreferenceString(prefOverrideKey(EditorPreferencePredicate.ShowSpecimen.getKey())), false);
 		getPreferenceStore().setDefault(createPreferenceString(prefOverrideKey(EditorPreferencePredicate.NameDetailsView.getKey())), false);
 		getPreferenceStore().setDefault(createPreferenceString(prefOverrideKey(EditorPreferencePredicate.DistributionEditorActivated.getKey())), false);
@@ -1374,7 +1374,7 @@ public class PreferencesUtil implements IPreferenceKeys {
         CdmPreference preference = null;
 
         if (!local) {
-            preference = cache.get(PreferencePredicate.NameDetailsView.getKey());
+            preference = cache.get(EditorPreferencePredicate.NameDetailsView.getKey());
             if (preference == null){
                 return null;
             }
@@ -1481,7 +1481,7 @@ public class PreferencesUtil implements IPreferenceKeys {
         CdmPreference preference = null;
 
         if (!local) {
-            preference = CdmPreference.NewInstance(PreferenceSubject.NewDatabaseInstance(), PreferencePredicate.NameDetailsView, config.toString());
+            preference = CdmPreference.NewInstance(PreferenceSubject.NewDatabaseInstance(), EditorPreferencePredicate.NameDetailsView, config.toString());
 
             setPreferenceToDB(preference);
         }
@@ -1530,7 +1530,7 @@ public class PreferencesUtil implements IPreferenceKeys {
         Abcd206ImportConfigurator config = Abcd206ImportConfigurator.NewInstance(null,null);
         ICdmRepository controller;
         controller = CdmStore.getCurrentApplicationConfiguration();
-        PrefKey key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), PreferencePredicate.AbcdImportConfig);
+        PrefKey key = CdmPreference.NewKey(PreferenceSubject.NewTaxEditorInstance(), EditorPreferencePredicate.AbcdImportConfig);
         CdmPreference preference = null;
         if (controller == null){
             return null;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/specimenSearch/SpecimenProviderSelectionComposite.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/specimenSearch/SpecimenProviderSelectionComposite.java
index 072e903a7..b324ca0d4 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/specimenSearch/SpecimenProviderSelectionComposite.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/view/specimenSearch/SpecimenProviderSelectionComposite.java
@@ -21,7 +21,7 @@ import org.eclipse.ui.forms.widgets.TableWrapData;
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 
 import eu.etaxonomy.cdm.model.metadata.CdmPreference;
-import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
+import eu.etaxonomy.taxeditor.preference.EditorPreferencePredicate;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 
 /**
@@ -67,7 +67,7 @@ public class SpecimenProviderSelectionComposite extends Composite {
         toolkit.adapt(btnBioCaseProvider, true, true);
         btnBioCaseProvider.setText("BioCASE Provider");
         txtAccessPoint = new Combo(this, SWT.BORDER);
-        CdmPreference biocaseProvider = PreferencesUtil.getPreferenceFromDB(PreferencePredicate.BioCaseProvider);
+        CdmPreference biocaseProvider = PreferencesUtil.getPreferenceFromDB(EditorPreferencePredicate.BioCaseProvider);
         if (biocaseProvider != null){
             String items[] = biocaseProvider.getValue().split(";");
             txtAccessPoint.setItems(items);
